Security Enhanced Linux Reference Policy

# Layer: services

## Module: nscd

Tunables Interfaces

### Description:

Name service cache daemon.

### Tunables:

nscd_use_shm

##### Default value

false

##### Description

Determine whether confined applications can use nscd shared memory.

Return

### Interfaces:

nscd_admin( domain , role )

##### Summary

All of the rules required to administrate an nscd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

nscd_domtrans( domain )

##### Summary

Execute nscd in the nscd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nscd_dontaudit_search_runtime( domain )

##### Summary

Do not audit attempts to search nscd runtime directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

nscd_exec( domain )

##### Summary

Execute nscd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_initrc_domtrans( domain )

##### Summary

Execute the nscd server init script in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nscd_kill( domain )

##### Summary

Send kill signals to nscd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_read_runtime_files( domain )

##### Summary

Read nscd runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_run( domain , role )

##### Summary

Execute nscd in the nscd domain, and allow the specified role the nscd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

nscd_shm_use( domain )

##### Summary

Use nscd services by mapping the database from an inherited nscd file descriptor.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_signal( domain )

##### Summary

Send generic signals to nscd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_signull( domain )

##### Summary

Send null signals to nscd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_socket_use( domain )

##### Summary

Use nscd services by connecting using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_unconfined( domain )

##### Summary

Unconfined access to nscd services.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_use( domain )

##### Summary

Use nscd services.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return